import { Component, Input } from '@angular/core';
import { layer } from 'ol';

@Component({
  selector: 'fm-map-zoom-to-show-alert',
  template: '<div *fmMapIfZoomToShow="layer$" class="alert alert-info"><i class="fas fa-search-plus" aria-hidden="true" i18n-title title="Add as layer"></i>&nbsp;<span i18n>Zoom in to show layer</span></div>'
})
export class ZoomToShowAlert {
  public layer$: layer;
  @Input() 
  set layer(layer:layer) {
     this.layer$ = layer;
  }
}

